%{?!python:%define python python}
%{?!pybasever:%{expand:%%define pybasever %(%{__python} -c "import sys ; print sys.version[:3]")}}
%{!?python_sitelib: %define python_sitelib %(%{__python} -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

%{expand:%%define frel %(test -e /etc/fedora-release && perl -p -e 's@\D+([0-9\.]+)\D+@$1@' /etc/fedora-release || echo 0)}

%{expand:%%define atleastf9 %(if [ %{frel} -ge 9 ]; then echo 1; else echo 0; fi)}

Name:           pysnmp-se
Version:        3.5.2
Release:        2%{?dist}
Summary:        Python SNMP Toolkit (Speed Enhanced)

Group:          Development/Libraries
License:        BSD
URL:            http://twistedsnmp.sourceforge.net/
Source0:        http://download.sf.net/twistedsnmp/%{name}-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  python

BuildArch:	noarch

# for FC3 and earlier
%if "%{pybasever}" < "2.4"
Requires:       python(abi) = %{pybasever}
%endif

%description
This is a Python implementation of SNMP v.1/v.2c engine. Its general
functionality is to assemble/disassemble SNMP messages from/into
given SNMP Object IDs along with associated values. PySNMP also provides
a few transport methods specific to TCP/IP networking.

PySNMP is written entirely in Python and is self-sufficient in terms
that it does not rely on any third party tool (it is not a wrapper!).

%prep
%setup -n %{name}-%{version} -q

%build

%install
rm -rf $RPM_BUILD_ROOT
%{__python} setup.py install -O1 --root $RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc CHANGES COMPATIBILITY README

%if %{atleastf9}
%{python_sitelib}/*.egg-info
%endif

%dir %{python_sitelib}/pysnmp/
%{python_sitelib}/pysnmp/*.py
%{python_sitelib}/pysnmp/*.pyc
%ghost %{python_sitelib}/pysnmp/*.pyo

%dir %{python_sitelib}/pysnmp/asn1/
%{python_sitelib}/pysnmp/asn1/*.py
%{python_sitelib}/pysnmp/asn1/*.pyc
%ghost %{python_sitelib}/pysnmp/asn1/*.pyo

%dir %{python_sitelib}/pysnmp/asn1/encoding/
%{python_sitelib}/pysnmp/asn1/encoding/*.py
%{python_sitelib}/pysnmp/asn1/encoding/*.pyc
%ghost %{python_sitelib}/pysnmp/asn1/encoding/*.pyo

%dir %{python_sitelib}/pysnmp/asn1/encoding/ber/
%{python_sitelib}/pysnmp/asn1/encoding/ber/*.py
%{python_sitelib}/pysnmp/asn1/encoding/ber/*.pyc
%ghost %{python_sitelib}/pysnmp/asn1/encoding/ber/*.pyo

%dir %{python_sitelib}/pysnmp/compat/
%{python_sitelib}/pysnmp/compat/*.py
%{python_sitelib}/pysnmp/compat/*.pyc
%ghost %{python_sitelib}/pysnmp/compat/*.pyo

%dir %{python_sitelib}/pysnmp/compat/pysnmp1x/
%{python_sitelib}/pysnmp/compat/pysnmp1x/*.py
%{python_sitelib}/pysnmp/compat/pysnmp1x/*.pyc
%ghost %{python_sitelib}/pysnmp/compat/pysnmp1x/*.pyo

%dir %{python_sitelib}/pysnmp/compat/pysnmp2x/
%{python_sitelib}/pysnmp/compat/pysnmp2x/*.py
%{python_sitelib}/pysnmp/compat/pysnmp2x/*.pyc
%ghost %{python_sitelib}/pysnmp/compat/pysnmp2x/*.pyo

%dir %{python_sitelib}/pysnmp/compat/snmpy/
%{python_sitelib}/pysnmp/compat/snmpy/*.py
%{python_sitelib}/pysnmp/compat/snmpy/*.pyc
%ghost %{python_sitelib}/pysnmp/compat/snmpy/*.pyo

%dir %{python_sitelib}/pysnmp/mapping/
%{python_sitelib}/pysnmp/mapping/*.py
%{python_sitelib}/pysnmp/mapping/*.pyc
%ghost %{python_sitelib}/pysnmp/mapping/*.pyo

%dir %{python_sitelib}/pysnmp/mapping/udp/
%{python_sitelib}/pysnmp/mapping/udp/*.py
%{python_sitelib}/pysnmp/mapping/udp/*.pyc
%ghost %{python_sitelib}/pysnmp/mapping/udp/*.pyo

%dir %{python_sitelib}/pysnmp/proto/
%{python_sitelib}/pysnmp/proto/*.py
%{python_sitelib}/pysnmp/proto/*.pyc
%ghost %{python_sitelib}/pysnmp/proto/*.pyo

%dir %{python_sitelib}/pysnmp/proto/api/
%{python_sitelib}/pysnmp/proto/api/*.py
%{python_sitelib}/pysnmp/proto/api/*.pyc
%ghost %{python_sitelib}/pysnmp/proto/api/*.pyo

%dir %{python_sitelib}/pysnmp/proto/api/alpha/
%{python_sitelib}/pysnmp/proto/api/alpha/*.py
%{python_sitelib}/pysnmp/proto/api/alpha/*.pyc
%ghost %{python_sitelib}/pysnmp/proto/api/alpha/*.pyo

%dir %{python_sitelib}/pysnmp/proto/api/generic/
%{python_sitelib}/pysnmp/proto/api/generic/*.py
%{python_sitelib}/pysnmp/proto/api/generic/*.pyc
%ghost %{python_sitelib}/pysnmp/proto/api/generic/*.pyo

%dir %{python_sitelib}/pysnmp/test/
%{python_sitelib}/pysnmp/test/*.py
%{python_sitelib}/pysnmp/test/*.pyc
%ghost %{python_sitelib}/pysnmp/test/*.pyo

%changelog
* Sun Aug 17 2008 Thomas Vander Stichele <thomas at apestaart dot org>
- 3.5.2-2
- package egg-info on f9

* Thu Jun 15 2006 Thomas Vander Stichele <thomas at apestaart dot org>
- 3.5.2-1
- first package
